1. User
go fiber | Auth
  • public
    • health
      GET
    • Register
      POST
    • Login
      POST
  • User
    • Update Profile
      PUT
    • Get Profile
      GET
    • Change password
      POST
    • Deactive account
      POST
    • Logout
      POST
    • Refresh token jwt
      POST
  • Absensi
    • Checkin
      POST
    • Checkout
      POST
    • Cek Absensi
      GET
    • History
      GET
    • Stats
      GET
  1. User

Get Profile

GET
/api/v1/user/profile

Request

Header Params

Responses

🟢200OK
application/json
Bodyapplication/json

🟢200OK
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.side.my.id/api/v1/user/profile' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json'
Response Response Example
200 - OK - Success
{
    "success": true,
    "message": "Profile retrieved successfully",
    "data": {
        "id": "68778aca5a537a1e4fed4f69",
        "nis": "11111111",
        "name": "dimas",
        "kelas": "kelas bangg",
        "jurusan": "MIF",
        "email": "dimas@gmail.com",
        "is_active": true,
        "created_at": "2025-07-16T11:19:38.946Z",
        "updated_at": "2025-07-16T11:21:23.04Z"
    },
    "timestamp": "2025-07-16 11:25:12"
}
Modified at 2025-06-19 06:22:36
Previous
Update Profile
Next
Change password
Built with